<?php
$soor_type = 1; // Проверка наличия сооружения
include_once('inclfiles/core.php');
$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = 1"));
$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = 1 AND `level` = ".$building['level'].""));
if($act == 'shpionazh' OR $act == 'vorovstvo' OR $act == 'verbovka' OR $act == 'sabotazh'){

	$cena5p = 5*$country[$act]*$country[$act]+20*$country[$act]+30;
	$cena1p = $country[$act] * $country[$act];
	$cena5m = 4*$country[$act]*$country[$act]-24*$country[$act]+44;
	$cena1m = floor(($country[$act]*$country[$act]-2*$country[$act]+1)*0.8);

	if($act == 'shpionazh') $name_rp = 'шпионажа';
	if($act == 'vorovstvo') $name_rp = 'воровства';
	if($act == 'verbovka') $name_rp = 'вербовки';
	if($act == 'sabotazh') $name_rp = 'саботажа';

    $title = 'Уровень '.$name_rp;
	include_once('inclfiles/head.php');

	if($id == 1){
	    if($country[$act] >= 96) $err[] = 'Данный параметр не может быть выше 100%';
	    else if($country['money'] < $cena5p) $err[] = 'Не хватает '.chislo(($cena5p - $country['money']),'монеты','монет','монет');
	    else{
        	mysql_query("UPDATE `countries` SET `money`= (`money` - ".$cena5p."), `".$act."` = (`".$act."` + 5) WHERE `id` = ".$country['id']);
        	$country[$act] = $country[$act] + 5;
        	m('Уровень '.$name_rp.' успешно повышеен на 5%');
		}
	}

	if($id == 2){
    	if($country[$act] == 100) $err[] = 'Данный параметр не может быть выше 100%';
    	else if($country['money'] < $cena1p) $err[] = 'Не хватает '.chislo(($cena1p - $country['money']),'монеты','монет','монет');
    	else{
    		mysql_query("UPDATE `countries` SET `money`= (`money` - ".$cena1p."), `".$act."` = (`".$act."` + 1) WHERE `id` = ".$country['id']);
    		$country[$act] = $country[$act] + 1;
    		m('Уровень '.$name_rp.' успешно повышеен на 1%');
    	}
	}

    if($id == 3){
    	if($country[$act] < 6) $err[] = 'Данный параметр не может быть ниже 1%';
    	else{
    		mysql_query("UPDATE `countries` SET `money`= (`money` + ".$cena5m."), `".$act."` = (`".$act."` - 5) WHERE `id` = ".$country['id']);
    		$country[$act] = $country[$act] - 5;
    		m('Уровень '.$name_rp.' успешно понижен на 5%');
    	}
	}

    if($id == 4){
    	if($country[$act] <= 1) $err[] = 'Данный параметр не может быть ниже 1%';
    	else{
    		mysql_query("UPDATE `countries` SET `money`= (`money` + ".$cena1m."), `".$act."` = (`".$act."` - 1) WHERE `id` = ".$country['id']);
    		$country[$act] = $country[$act] - 1;
    		m('Уровень '.$name_rp.' успешно понижен на 1%');
    	}
	}

	$cena5p = 5*$country[$act]*$country[$act]+20*$country[$act]+30;
	$cena1p = $country[$act] * $country[$act];
	$cena5m = 4*$country[$act]*$country[$act]-24*$country[$act]+44;
	$cena1m = floor(($country[$act]*$country[$act]-2*$country[$act]+1)*0.8);

	err();
	t('Текущий уровень: '.$country[$act].'%');
	if($country[$act] <= 95){
		if($country['money'] >= $cena5p) a('params.php?act='.$act.'&id=1&','Повысить на 5% за '.chislo($cena5p,'монету','монеты','монет'),'plus');
		else t('Для повышения на 5% требуется '.chislo($cena5p,'монета','монеты','монет'));
	}
	if($country[$act] < 100){
		if($country['money'] >= $cena1p) a('params.php?act='.$act.'&id=2&','Повысить на 1% за '.chislo($cena1p,'монету','монеты','монет'),'plus');
		else t('Для повышения на 1% требуется '.chislo($cena1p,'монета','монеты','монет'));
	}
	if($country[$act] > 1) a('params.php?act='.$act.'&id=4&','Понизить на  1% и получить '.chislo($cena1m,'монету','монеты','монет'),'minus');
	if($country[$act] >= 6) a('params.php?act='.$act.'&id=3&','Понизить на 5% и получить '.chislo($cena5m,'монету','монеты','монет'),'minus');
    p('При понижении Вы получаете 80% от того, что было потрачено на повышение');
    a('params.php?','Параметры государства','params');
}
else{
	$title = 'Параметры государства';
	include_once('inclfiles/head.php');
	a('params.php?act=shpionazh&','Шпионаж ['.$country['shpionazh'].'%]','shpionazh');
	a('params.php?act=vorovstvo&','Воровство ['.$country['vorovstvo'].'%]','vorovstvo');
	a('params.php?act=verbovka&','Вербовка ['.$country['verbovka'].'%]','verbovka');
	a('params.php?act=sabotazh&','Саботаж ['.$country['sabotazh'].'%]','sabotazh');
}
a('buildings.php?id=1&',$building_all['name'],'building');
include_once('inclfiles/foot.php');
?>